summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-containers/docker-proxy/docker-proxy-0.8.0_p20220315.ebuild')
-rw-r--r--app-containers/docker-proxy/docker-proxy-0.8.0_p20220315.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/app-containers/docker-proxy/docker-proxy-0.8.0_p20220315.ebuild b/app-containers/docker-proxy/docker-proxy-0.8.0_p20220315.ebuild
new file mode 100644
index 00000000000..c62396a439a
--- /dev/null
+++ b/app-containers/docker-proxy/docker-proxy-0.8.0_p20220315.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+EGO_PN=github.com/moby/libnetwork
+GIT_COMMIT=339b972b464ee3d401b5788b2af9e31d09d6b7da
+inherit golang-vcs-snapshot
+
+DESCRIPTION="Docker container networking"
+HOMEPAGE="https://github.com/docker/libnetwork"
+SRC_URI="https://github.com/moby/libnetwork/archive/${GIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+S=${WORKDIR}/${P}/src/${EGO_PN}
+
+# needs dockerd
+RESTRICT="strip test"
+
+src_compile() {
+ GO111MODULE=auto GOPATH="${WORKDIR}/${P}" \
+ go build -o "bin/docker-proxy" ./cmd/proxy || die
+}
+
+src_install() {
+ dobin bin/docker-proxy
+ dodoc README.md CHANGELOG.md
+}